<?php

load_theme_textdomain('typographic');

/*
File Name: Wordpress Theme Toolkit for Typographic
Version: 1.0
Author: Ozh
Author URI: http://yukei.net
*/

/************************************************************************************
 * THEME USERS : don't touch anything !! Or don't ask the theme author for support :)
 ************************************************************************************/

include(dirname(__FILE__).'/themetoolkit.php');

/************************************************************************************
 * THEME AUTHOR : edit the following function call :
 ************************************************************************************/

themetoolkit(
	'typographic', /* Make yourself at home :
			* Name of the variable that will contain all the options of
			* your theme admin menu (in the form of an array)
			* Name it according to PHP naming rules (http://php.net/variables) */

	array(     /* Variables used by your theme features (i.e. things the end user will
			* want to customize through the admin menu)
 			* Syntax :
			* 'option_variable' => 'Option Title ## optionnal explanations',
			* 'option_variable' => 'Option Title {radio|value1|Text1|value2|Text2} ## optionnal explanations',
			* 'option_variable' => 'Option Title {textarea|rows|cols} ## optionnal explanations',
			* 'option_variable' => 'Option Title {checkbox|option_varname1|value1|Text1|option_varname2|value2|Text2} ## optionnal explanations',
			* Examples :
			* 'your_age' => 'Your Age',
			* 'cc_number' => 'Credit Card Number ## I can swear I will not misuse it :P',
			* 'gender' => 'Gender {radio|girl|You are a female|boy|You are a male} ## What is your gender ?'
			* Dont forget the comma at the end of each line ! 
	'setting1' => 'Setting One ## This is setting one.',
	'setting2' => 'Stuff {textarea|6|50} ## Enter some text',
	'setting3' => 'Choice {radio|choice1|Choice One|choice2|Choice Two} ## Chose one.',
	'setting4' => 'Multiple choice {checkbox|mc1|happy|Are you Happy ?|mc2|human|Are you Human ?} ## Chose any',*/
	
	'we_need_some_info_first' => ''.__("Please enter the required information", "typographic").' {separator}',
	'quotes_cat_id' => ''.__("The Category ID for your quotes", "typographic").'',
	'conversations_cat_id' => ''.__("The Category ID for your conversations", "typographic").'',
	'photo_cat_id' => ''.__("The Category ID for your images", "typographic").'',
	'video_cat_id' => ''.__("The Category ID for your videos", "typographic").'',
	'links_cat_id' => ''.__("The Category ID for your links", "typographic").'',
	'documents_cat_id' => ''.__("The Category ID for your documents", "typographic").'',
	'normal_posts_cat_id' => ''.__("The Category ID for your 'normal' posts", "typographic").'',

	'and_then_some_more_info' => ''.__("Something about yourself", "typographic").' {separator}',
	'about_title' => ''.__("'About' section header", "typographic").'',
	'about_blurb' => ''.__("About this site", "typographic").'{textarea|10|65}',


	/*'debug' => 'debug', 	 
			
			this is a fake entry that will activate the "Programmer's Corner"
			 * showing you vars and values while you build your theme. Remove it
			 * when your theme is ready for shipping */
	),
	__FILE__	 /* Parent. DO NOT MODIFY THIS LINE !
			  * This is used to check which file (and thus theme) is calling
			  * the function (useful when another theme with a Theme Toolkit
			  * was installed before */
);
	
/************************************************************************************
 * THEME AUTHOR : Congratulations ! The hard work is all done now :)
 *
 * From now on, you can create functions for your theme that will use the array
 * of variables $mytheme->option. For example there will be now a variable
 * $mytheme->option['your_age'] with value as set by theme end-user in the admin menu.
 ************************************************************************************/

/***************************************
 * Additionnal Features and Functions
 *
 * Create your own functions using the array
 * of user defined variables $mytheme->option.
 *
 **************************************/

function about_blurb() {
	global $typographic;
	echo $typographic->option['about_blurb'];
}

function about_title() {
	global $typographic;
	echo $typographic->option['about_title'];
}
function measure_quote() {
    global $wpdb, $id;
	$post = $wpdb->get_var("SELECT post_content FROM $wpdb->posts WHERE ID = $id");

	$post_content = apply_filters ('the_content', $post);
	$words = trim ( strip_tags($post_content) );
	
	$word_count = count( explode(" ", $words) );
	
	if ( $word_count > 120 ) {
		print ' extra-large';
		}
	elseif ( $word_count > 80 ) {
		print ' large';
		}
	elseif ( $word_count > 40 ) {
		print ' medium';
		}
	else {
		print ' short';
		}
}

function dialog_styling() {
	/* Gracias GelatoCMS... 
	http://www.gelatcocms.com
	http://code.google.com/p/gelatocms/
	
	bajo licencia GNU GPL 2
	*/
	
	global $wpdb, $id;
	$post = $wpdb->get_var("SELECT post_content FROM $wpdb->posts WHERE ID = $id");
	
	$formatedText = "";
	$odd=true;
	
	$lines = explode("\n", $post);
		
		$formatedText .= "<dl>\n";
		foreach ($lines as $line) {
			$pos = strpos($line, ":") + 1;
			
			$label = substr($line, 0, $pos);
			$desc = substr($line, $pos, strlen($line));
			
			if ($odd) { 
				$cssClass = "odd"; 
			} else {
				$cssClass = "even"; 
			}
			$odd=!$odd;
			
			$formatedText .= " <dt class=\"".$cssClass."\">".$label."</dt>";
			$formatedText .= "	<dd class=\"".$cssClass."\">".$desc."</dd>\n";
	
		}
		$formatedText .= "</dl>\n";
		echo $formatedText;
}

?>
